source: config.status@ 93885663

ADT aaron-thesis arm-eh ast-experimental cleanup-dtors ctor deferred_resn demangler enum forall-pointer-decay gc_noraii jacob/cs343-translation jenkins-sandbox memory new-ast new-ast-unique-expr new-env no_list persistent-indexer pthread-emulation qualifiedEnum resolv-new string stuck-waitfor-destruct with_gc
Last change on this file since 93885663 was 51b73452, checked in by Peter A. Buhr <pabuhr@…>, 12 years ago

initial commit

  • Property mode set to 100755
File size: 24.1 KB
Line 
1#! /bin/sh
2# Generated automatically by configure.
3# Run this file to recreate the current configuration.
4# Compiler output produced by configure, useful for debugging
5# configure, is in config.log if it exists.
6
7debug=false
8SHELL=${CONFIG_SHELL-/bin/sh}
9ac_cs_invocation="$0 $@"
10
11# Be Bourne compatible
12if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
13 emulate sh
14 NULLCMD=:
15elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
16 set -o posix
17fi
18
19# Name of the executable.
20as_me=`echo "$0" |sed 's,.*[\\/],,'`
21
22if expr a : '\(a\)' >/dev/null 2>&1; then
23 as_expr=expr
24else
25 as_expr=false
26fi
27
28rm -f conf$$ conf$$.exe conf$$.file
29echo >conf$$.file
30if ln -s conf$$.file conf$$ 2>/dev/null; then
31 # We could just check for DJGPP; but this test a) works b) is more generic
32 # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
33 if test -f conf$$.exe; then
34 # Don't use ln at all; we don't have any links
35 as_ln_s='cp -p'
36 else
37 as_ln_s='ln -s'
38 fi
39elif ln conf$$.file conf$$ 2>/dev/null; then
40 as_ln_s=ln
41else
42 as_ln_s='cp -p'
43fi
44rm -f conf$$ conf$$.exe conf$$.file
45
46as_executable_p="test -f"
47
48# Support unset when possible.
49if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
50 as_unset=unset
51else
52 as_unset=false
53fi
54
55# NLS nuisances.
56$as_unset LANG || test "${LANG+set}" != set || { LANG=C; export LANG; }
57$as_unset LC_ALL || test "${LC_ALL+set}" != set || { LC_ALL=C; export LC_ALL; }
58$as_unset LC_TIME || test "${LC_TIME+set}" != set || { LC_TIME=C; export LC_TIME; }
59$as_unset LC_CTYPE || test "${LC_CTYPE+set}" != set || { LC_CTYPE=C; export LC_CTYPE; }
60$as_unset LANGUAGE || test "${LANGUAGE+set}" != set || { LANGUAGE=C; export LANGUAGE; }
61$as_unset LC_COLLATE || test "${LC_COLLATE+set}" != set || { LC_COLLATE=C; export LC_COLLATE; }
62$as_unset LC_NUMERIC || test "${LC_NUMERIC+set}" != set || { LC_NUMERIC=C; export LC_NUMERIC; }
63$as_unset LC_MESSAGES || test "${LC_MESSAGES+set}" != set || { LC_MESSAGES=C; export LC_MESSAGES; }
64
65# IFS
66# We need space, tab and new line, in precisely that order.
67as_nl='
68'
69IFS=" $as_nl"
70
71# CDPATH.
72$as_unset CDPATH || test "${CDPATH+set}" != set || { CDPATH=:; export CDPATH; }
73
74exec 6>&1
75
76config_files=" Makefile translator/Makefile driver/Makefile libcfa/Makefile"
77config_headers=" config.h"
78config_commands=" depfiles"
79
80ac_cs_usage="\
81\`$as_me' instantiates files from templates according to the
82current configuration.
83
84Usage: $0 [OPTIONS] [FILE]...
85
86 -h, --help print this help, then exit
87 -V, --version print version number, then exit
88 -d, --debug don't remove temporary files
89 --recheck update $as_me by reconfiguring in the same conditions
90 --file=FILE[:TEMPLATE]
91 instantiate the configuration file FILE
92 --header=FILE[:TEMPLATE]
93 instantiate the configuration header FILE
94
95Configuration files:
96$config_files
97
98Configuration headers:
99$config_headers
100
101Configuration commands:
102$config_commands
103
104Report bugs to <bug-autoconf@gnu.org>."
105ac_cs_version="\
106cfa-cc config.status 1.0
107configured by ./configure, generated by GNU Autoconf 2.52,
108 with options \"--prefix=/u/pabuhr/software/cfa/cfa-cc\"
109
110Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
111Free Software Foundation, Inc.
112This config.status script is free software; the Free Software Foundation
113gives unlimited permission to copy, distribute and modify it."
114srcdir=.
115INSTALL="/usr/bin/install -c"
116# If no file are specified by the user, then we need to provide default
117# value. By we need to know if files were specified by the user.
118ac_need_defaults=:
119while test $# != 0
120do
121 case $1 in
122 --*=*)
123 ac_option=`expr "x$1" : 'x\([^=]*\)='`
124 ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
125 shift
126 set dummy "$ac_option" "$ac_optarg" ${1+"$@"}
127 shift
128 ;;
129 -*);;
130 *) # This is not an option, so the user has probably given explicit
131 # arguments.
132 ac_need_defaults=false;;
133 esac
134
135 case $1 in
136 # Handling of the options.
137 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
138 echo "running /bin/sh ./configure " --prefix=/u/pabuhr/software/cfa/cfa-cc " --no-create --no-recursion"
139 exec /bin/sh ./configure --prefix=/u/pabuhr/software/cfa/cfa-cc --no-create --no-recursion ;;
140 --version | --vers* | -V )
141 echo "$ac_cs_version"; exit 0 ;;
142 --he | --h)
143 # Conflict between --help and --header
144 { { echo "$as_me:3829: error: ambiguous option: $1
145Try \`$0 --help' for more information." >&5
146echo "$as_me: error: ambiguous option: $1
147Try \`$0 --help' for more information." >&2;}
148 { (exit 1); exit 1; }; };;
149 --help | --hel | -h )
150 echo "$ac_cs_usage"; exit 0 ;;
151 --debug | --d* | -d )
152 debug=: ;;
153 --file | --fil | --fi | --f )
154 shift
155 CONFIG_FILES="$CONFIG_FILES $1"
156 ac_need_defaults=false;;
157 --header | --heade | --head | --hea )
158 shift
159 CONFIG_HEADERS="$CONFIG_HEADERS $1"
160 ac_need_defaults=false;;
161
162 # This is an error.
163 -*) { { echo "$as_me:3848: error: unrecognized option: $1
164Try \`$0 --help' for more information." >&5
165echo "$as_me: error: unrecognized option: $1
166Try \`$0 --help' for more information." >&2;}
167 { (exit 1); exit 1; }; } ;;
168
169 *) ac_config_targets="$ac_config_targets $1" ;;
170
171 esac
172 shift
173done
174
175exec 5>>config.log
176cat >&5 << _ACEOF
177
178## ----------------------- ##
179## Running config.status. ##
180## ----------------------- ##
181
182This file was extended by $as_me (cfa-cc 1.0) 2.52, executed with
183 CONFIG_FILES = $CONFIG_FILES
184 CONFIG_HEADERS = $CONFIG_HEADERS
185 CONFIG_LINKS = $CONFIG_LINKS
186 CONFIG_COMMANDS = $CONFIG_COMMANDS
187 > $ac_cs_invocation
188on `(hostname || uname -n) 2>/dev/null | sed 1q`
189
190_ACEOF
191#
192# INIT-COMMANDS section.
193#
194
195AMDEP_TRUE="" ac_aux_dir="."
196
197for ac_config_target in $ac_config_targets
198do
199 case "$ac_config_target" in
200 # Handling of arguments.
201 "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
202 "translator/Makefile" ) CONFIG_FILES="$CONFIG_FILES translator/Makefile" ;;
203 "driver/Makefile" ) CONFIG_FILES="$CONFIG_FILES driver/Makefile" ;;
204 "libcfa/Makefile" ) CONFIG_FILES="$CONFIG_FILES libcfa/Makefile" ;;
205 "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
206 "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
207 *) { { echo "$as_me:3898: error: invalid argument: $ac_config_target" >&5
208echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
209 { (exit 1); exit 1; }; };;
210 esac
211done
212
213# If the user did not use the arguments to specify the items to instantiate,
214# then the envvar interface is used. Set only those that are not.
215# We use the long form for the default assignment because of an extremely
216# bizarre bug on SunOS 4.1.3.
217if $ac_need_defaults; then
218 test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
219 test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
220 test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
221fi
222
223# Create a temporary directory, and hook for its removal unless debugging.
224$debug ||
225{
226 trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
227 trap '{ (exit 1); exit 1; }' 1 2 13 15
228}
229
230# Create a (secure) tmp directory for tmp files.
231: ${TMPDIR=/tmp}
232{
233 tmp=`(umask 077 && mktemp -d -q "$TMPDIR/csXXXXXX") 2>/dev/null` &&
234 test -n "$tmp" && test -d "$tmp"
235} ||
236{
237 tmp=$TMPDIR/cs$$-$RANDOM
238 (umask 077 && mkdir $tmp)
239} ||
240{
241 echo "$me: cannot create a temporary directory in $TMPDIR" >&2
242 { (exit 1); exit 1; }
243}
244
245
246#
247# CONFIG_FILES section.
248#
249
250# No need to generate the scripts if there are no CONFIG_FILES.
251# This happens for instance when ./config.status config.h
252if test -n "$CONFIG_FILES"; then
253 # Protect against being on the right side of a sed subst in config.status.
254 sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
255 s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
256s,@SHELL@,/bin/sh,;t t
257s,@exec_prefix@,${prefix},;t t
258s,@prefix@,/u/pabuhr/software/cfa/cfa-cc,;t t
259s,@program_transform_name@,s,x,x,,;t t
260s,@bindir@,${exec_prefix}/bin,;t t
261s,@sbindir@,${exec_prefix}/sbin,;t t
262s,@libexecdir@,${exec_prefix}/libexec,;t t
263s,@datadir@,${prefix}/share,;t t
264s,@sysconfdir@,${prefix}/etc,;t t
265s,@sharedstatedir@,${prefix}/com,;t t
266s,@localstatedir@,${prefix}/var,;t t
267s,@libdir@,${exec_prefix}/lib,;t t
268s,@includedir@,${prefix}/include,;t t
269s,@oldincludedir@,/usr/include,;t t
270s,@infodir@,${prefix}/info,;t t
271s,@mandir@,${prefix}/man,;t t
272s,@PACKAGE_NAME@,cfa-cc,;t t
273s,@PACKAGE_TARNAME@,cfa-cc,;t t
274s,@PACKAGE_VERSION@,1.0,;t t
275s,@PACKAGE_STRING@,cfa-cc 1.0,;t t
276s,@PACKAGE_BUGREPORT@,cforall@plg.uwaterloo.ca,;t t
277s,@build_alias@,,;t t
278s,@host_alias@,,;t t
279s,@target_alias@,,;t t
280s,@ECHO_C@,\c,;t t
281s,@ECHO_N@,,;t t
282s,@ECHO_T@,,;t t
283s,@PATH_SEPARATOR@,:,;t t
284s,@DEFS@,-DHAVE_CONFIG_H,;t t
285s,@LIBS@,,;t t
286s,@INSTALL_PROGRAM@,${INSTALL},;t t
287s,@INSTALL_SCRIPT@,${INSTALL},;t t
288s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
289s,@PACKAGE@,cfa,;t t
290s,@VERSION@,1.0,;t t
291s,@ACLOCAL@,${SHELL} /u/pabuhr/software/cfa/cfa-cc/missing --run aclocal-1.6,;t t
292s,@AUTOCONF@,${SHELL} /u/pabuhr/software/cfa/cfa-cc/missing --run autoconf,;t t
293s,@AUTOMAKE@,${SHELL} /u/pabuhr/software/cfa/cfa-cc/missing --run automake-1.6,;t t
294s,@AUTOHEADER@,${SHELL} /u/pabuhr/software/cfa/cfa-cc/missing --run autoheader,;t t
295s,@MAKEINFO@,${SHELL} /u/pabuhr/software/cfa/cfa-cc/missing --run makeinfo,;t t
296s,@AMTAR@,${SHELL} /u/pabuhr/software/cfa/cfa-cc/missing --run tar,;t t
297s,@install_sh@,/u/pabuhr/software/cfa/cfa-cc/install-sh,;t t
298s,@STRIP@,,;t t
299s,@ac_ct_STRIP@,,;t t
300s,@INSTALL_STRIP_PROGRAM@,${SHELL} $(install_sh) -c -s,;t t
301s,@AWK@,mawk,;t t
302s,@SET_MAKE@,,;t t
303s,@YACC@,bison -y,;t t
304s,@CXX@,g++,;t t
305s,@CXXFLAGS@,-g -O2,;t t
306s,@LDFLAGS@,,;t t
307s,@CPPFLAGS@,,;t t
308s,@ac_ct_CXX@,g++,;t t
309s,@EXEEXT@,,;t t
310s,@OBJEXT@,o,;t t
311s,@DEPDIR@,.deps,;t t
312s,@am__include@,include,;t t
313s,@am__quote@,,;t t
314s,@AMDEP_TRUE@,,;t t
315s,@AMDEP_FALSE@,#,;t t
316s,@AMDEPBACKSLASH@,\,;t t
317s,@CXXDEPMODE@,depmode=none,;t t
318s,@CC@,gcc,;t t
319s,@CFLAGS@,-g -O2,;t t
320s,@ac_ct_CC@,gcc,;t t
321s,@CCDEPMODE@,depmode=none,;t t
322s,@LEX@,flex,;t t
323s,@LEXLIB@,-lfl,;t t
324s,@LEX_OUTPUT_ROOT@,lex.yy,;t t
325s,@CPP@,gcc -E,;t t
326s,@preludedir@,/u/pabuhr/software/cfa/cfa-cc/share/cfa,;t t
327s,@GCC_PATH@,/u/pabuhr/bin/gcc,;t t
328s,@BACKEND_CC@,/u/pabuhr/bin/gcc,;t t
329s,@CPP_PATH@,/usr/bin/cpp,;t t
330s,@CFA_PREFIX@,/u/pabuhr/software/cfa/cfa-cc,;t t
331s,@CFA_BINDIR@,/u/pabuhr/software/cfa/cfa-cc/bin,;t t
332s,@CFA_LIBDIR@,/u/pabuhr/software/cfa/cfa-cc/lib,;t t
333CEOF
334
335 # Split the substitutions into bite-sized pieces for seds with
336 # small command number limits, like on Digital OSF/1 and HP-UX.
337 ac_max_sed_lines=48
338 ac_sed_frag=1 # Number of current file.
339 ac_beg=1 # First line for current file.
340 ac_end=$ac_max_sed_lines # Line after last line for current file.
341 ac_more_lines=:
342 ac_sed_cmds=
343 while $ac_more_lines; do
344 if test $ac_beg -gt 1; then
345 sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
346 else
347 sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
348 fi
349 if test ! -s $tmp/subs.frag; then
350 ac_more_lines=false
351 else
352 # The purpose of the label and of the branching condition is to
353 # speed up the sed processing (if there are no `@' at all, there
354 # is no need to browse any of the substitutions).
355 # These are the two extra sed commands mentioned above.
356 (echo ':t
357 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
358 if test -z "$ac_sed_cmds"; then
359 ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
360 else
361 ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
362 fi
363 ac_sed_frag=`expr $ac_sed_frag + 1`
364 ac_beg=$ac_end
365 ac_end=`expr $ac_end + $ac_max_sed_lines`
366 fi
367 done
368 if test -z "$ac_sed_cmds"; then
369 ac_sed_cmds=cat
370 fi
371fi # test -n "$CONFIG_FILES"
372
373for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
374 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
375 case $ac_file in
376 - | *:- | *:-:* ) # input from stdin
377 cat >$tmp/stdin
378 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
379 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
380 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
381 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
382 * ) ac_file_in=$ac_file.in ;;
383 esac
384
385 # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
386 ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
387 X"$ac_file" : 'X\(//\)[^/]' \| \
388 X"$ac_file" : 'X\(//\)$' \| \
389 X"$ac_file" : 'X\(/\)' \| \
390 . : '\(.\)' 2>/dev/null ||
391echo X"$ac_file" |
392 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
393 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
394 /^X\(\/\/\)$/{ s//\1/; q; }
395 /^X\(\/\).*/{ s//\1/; q; }
396 s/.*/./; q'`
397 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
398 { case "$ac_dir" in
399 [\\/]* | ?:[\\/]* ) as_incr_dir=;;
400 *) as_incr_dir=.;;
401esac
402as_dummy="$ac_dir"
403for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
404 case $as_mkdir_dir in
405 # Skip DOS drivespec
406 ?:) as_incr_dir=$as_mkdir_dir ;;
407 *)
408 as_incr_dir=$as_incr_dir/$as_mkdir_dir
409 test -d "$as_incr_dir" || mkdir "$as_incr_dir"
410 ;;
411 esac
412done; }
413
414 ac_dir_suffix="/`echo $ac_dir|sed 's,^\./,,'`"
415 # A "../" for each directory in $ac_dir_suffix.
416 ac_dots=`echo "$ac_dir_suffix" | sed 's,/[^/]*,../,g'`
417 else
418 ac_dir_suffix= ac_dots=
419 fi
420
421 case $srcdir in
422 .) ac_srcdir=.
423 if test -z "$ac_dots"; then
424 ac_top_srcdir=.
425 else
426 ac_top_srcdir=`echo $ac_dots | sed 's,/$,,'`
427 fi ;;
428 [\\/]* | ?:[\\/]* )
429 ac_srcdir=$srcdir$ac_dir_suffix;
430 ac_top_srcdir=$srcdir ;;
431 *) # Relative path.
432 ac_srcdir=$ac_dots$srcdir$ac_dir_suffix
433 ac_top_srcdir=$ac_dots$srcdir ;;
434 esac
435
436 case $INSTALL in
437 [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
438 *) ac_INSTALL=$ac_dots$INSTALL ;;
439 esac
440
441 if test x"$ac_file" != x-; then
442 { echo "$as_me:4141: creating $ac_file" >&5
443echo "$as_me: creating $ac_file" >&6;}
444 rm -f "$ac_file"
445 fi
446 # Let's still pretend it is `configure' which instantiates (i.e., don't
447 # use $as_me), people would be surprised to read:
448 # /* config.h. Generated automatically by config.status. */
449 configure_input="Generated automatically from `echo $ac_file_in |
450 sed 's,.*/,,'` by configure."
451
452 # First look for the input files in the build tree, otherwise in the
453 # src tree.
454 ac_file_inputs=`IFS=:
455 for f in $ac_file_in; do
456 case $f in
457 -) echo $tmp/stdin ;;
458 [\\/$]*)
459 # Absolute (can't be DOS-style, as IFS=:)
460 test -f "$f" || { { echo "$as_me:4159: error: cannot find input file: $f" >&5
461echo "$as_me: error: cannot find input file: $f" >&2;}
462 { (exit 1); exit 1; }; }
463 echo $f;;
464 *) # Relative
465 if test -f "$f"; then
466 # Build tree
467 echo $f
468 elif test -f "$srcdir/$f"; then
469 # Source tree
470 echo $srcdir/$f
471 else
472 # /dev/null tree
473 { { echo "$as_me:4172: error: cannot find input file: $f" >&5
474echo "$as_me: error: cannot find input file: $f" >&2;}
475 { (exit 1); exit 1; }; }
476 fi;;
477 esac
478 done` || { (exit 1); exit 1; }
479 sed "/^[ ]*VPATH[ ]*=/{
480s/:*\$(srcdir):*/:/;
481s/:*\${srcdir}:*/:/;
482s/:*@srcdir@:*/:/;
483s/^\([^=]*=[ ]*\):*/\1/;
484s/:*$//;
485s/^[^=]*=[ ]*$//;
486}
487
488:t
489/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
490s,@configure_input@,$configure_input,;t t
491s,@srcdir@,$ac_srcdir,;t t
492s,@top_srcdir@,$ac_top_srcdir,;t t
493s,@INSTALL@,$ac_INSTALL,;t t
494" $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
495 rm -f $tmp/stdin
496 if test x"$ac_file" != x-; then
497 mv $tmp/out $ac_file
498 else
499 cat $tmp/out
500 rm -f $tmp/out
501 fi
502
503done
504
505#
506# CONFIG_HEADER section.
507#
508
509# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
510# NAME is the cpp macro being defined and VALUE is the value it is being given.
511#
512# ac_d sets the value in "#define NAME VALUE" lines.
513ac_dA='s,^\([ ]*\)#\([ ]*define[ ][ ]*\)'
514ac_dB='[ ].*$,\1#\2'
515ac_dC=' '
516ac_dD=',;t'
517# ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
518ac_uA='s,^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
519ac_uB='$,\1#\2define\3'
520ac_uC=' '
521ac_uD=',;t'
522
523for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
524 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
525 case $ac_file in
526 - | *:- | *:-:* ) # input from stdin
527 cat >$tmp/stdin
528 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
529 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
530 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
531 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
532 * ) ac_file_in=$ac_file.in ;;
533 esac
534
535 test x"$ac_file" != x- && { echo "$as_me:4233: creating $ac_file" >&5
536echo "$as_me: creating $ac_file" >&6;}
537
538 # First look for the input files in the build tree, otherwise in the
539 # src tree.
540 ac_file_inputs=`IFS=:
541 for f in $ac_file_in; do
542 case $f in
543 -) echo $tmp/stdin ;;
544 [\\/$]*)
545 # Absolute (can't be DOS-style, as IFS=:)
546 test -f "$f" || { { echo "$as_me:4244: error: cannot find input file: $f" >&5
547echo "$as_me: error: cannot find input file: $f" >&2;}
548 { (exit 1); exit 1; }; }
549 echo $f;;
550 *) # Relative
551 if test -f "$f"; then
552 # Build tree
553 echo $f
554 elif test -f "$srcdir/$f"; then
555 # Source tree
556 echo $srcdir/$f
557 else
558 # /dev/null tree
559 { { echo "$as_me:4257: error: cannot find input file: $f" >&5
560echo "$as_me: error: cannot find input file: $f" >&2;}
561 { (exit 1); exit 1; }; }
562 fi;;
563 esac
564 done` || { (exit 1); exit 1; }
565 # Remove the trailing spaces.
566 sed 's/[ ]*$//' $ac_file_inputs >$tmp/in
567
568 # Handle all the #define templates only if necessary.
569 if egrep "^[ ]*#[ ]*define" $tmp/in >/dev/null; then
570 # If there are no defines, we may have an empty if/fi
571 :
572 cat >$tmp/defines.sed <<CEOF
573/^[ ]*#[ ]*define/!b
574t clr
575: clr
576${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"cfa"${ac_dD}
577${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"1.0"${ac_dD}
578${ac_dA}YYTEXT_POINTER${ac_dB}YYTEXT_POINTER${ac_dC}1${ac_dD}
579${ac_dA}HAVE_MALLOC_H${ac_dB}HAVE_MALLOC_H${ac_dC}1${ac_dD}
580${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
581${ac_dA}GCC_PATH${ac_dB}GCC_PATH${ac_dC}"/u/pabuhr/bin/gcc"${ac_dD}
582${ac_dA}CPP_PATH${ac_dB}CPP_PATH${ac_dC}"/usr/bin/cpp"${ac_dD}
583${ac_dA}CFA_PREFIX${ac_dB}CFA_PREFIX${ac_dC}"/u/pabuhr/software/cfa/cfa-cc"${ac_dD}
584${ac_dA}CFA_BINDIR${ac_dB}CFA_BINDIR${ac_dC}"/u/pabuhr/software/cfa/cfa-cc/bin"${ac_dD}
585${ac_dA}CFA_LIBDIR${ac_dB}CFA_LIBDIR${ac_dC}"/u/pabuhr/software/cfa/cfa-cc/lib"${ac_dD}
586CEOF
587 sed -f $tmp/defines.sed $tmp/in >$tmp/out
588 rm -f $tmp/in
589 mv $tmp/out $tmp/in
590
591 fi # egrep
592
593 # Handle all the #undef templates
594 cat >$tmp/undefs.sed <<CEOF
595/^[ ]*#[ ]*undef/!b
596t clr
597: clr
598${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"cfa"${ac_uD}
599${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"1.0"${ac_uD}
600${ac_uA}YYTEXT_POINTER${ac_uB}YYTEXT_POINTER${ac_uC}1${ac_uD}
601${ac_uA}HAVE_MALLOC_H${ac_uB}HAVE_MALLOC_H${ac_uC}1${ac_uD}
602${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
603${ac_uA}GCC_PATH${ac_uB}GCC_PATH${ac_uC}"/u/pabuhr/bin/gcc"${ac_uD}
604${ac_uA}CPP_PATH${ac_uB}CPP_PATH${ac_uC}"/usr/bin/cpp"${ac_uD}
605${ac_uA}CFA_PREFIX${ac_uB}CFA_PREFIX${ac_uC}"/u/pabuhr/software/cfa/cfa-cc"${ac_uD}
606${ac_uA}CFA_BINDIR${ac_uB}CFA_BINDIR${ac_uC}"/u/pabuhr/software/cfa/cfa-cc/bin"${ac_uD}
607${ac_uA}CFA_LIBDIR${ac_uB}CFA_LIBDIR${ac_uC}"/u/pabuhr/software/cfa/cfa-cc/lib"${ac_uD}
608s,^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
609CEOF
610 sed -f $tmp/undefs.sed $tmp/in >$tmp/out
611 rm -f $tmp/in
612 mv $tmp/out $tmp/in
613
614 # Let's still pretend it is `configure' which instantiates (i.e., don't
615 # use $as_me), people would be surprised to read:
616 # /* config.h. Generated automatically by config.status. */
617 if test x"$ac_file" = x-; then
618 echo "/* Generated automatically by configure. */" >$tmp/config.h
619 else
620 echo "/* $ac_file. Generated automatically by configure. */" >$tmp/config.h
621 fi
622 cat $tmp/in >>$tmp/config.h
623 rm -f $tmp/in
624 if test x"$ac_file" != x-; then
625 if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
626 { echo "$as_me:4374: $ac_file is unchanged" >&5
627echo "$as_me: $ac_file is unchanged" >&6;}
628 else
629 ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
630 X"$ac_file" : 'X\(//\)[^/]' \| \
631 X"$ac_file" : 'X\(//\)$' \| \
632 X"$ac_file" : 'X\(/\)' \| \
633 . : '\(.\)' 2>/dev/null ||
634echo X"$ac_file" |
635 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
636 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
637 /^X\(\/\/\)$/{ s//\1/; q; }
638 /^X\(\/\).*/{ s//\1/; q; }
639 s/.*/./; q'`
640 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
641 { case "$ac_dir" in
642 [\\/]* | ?:[\\/]* ) as_incr_dir=;;
643 *) as_incr_dir=.;;
644esac
645as_dummy="$ac_dir"
646for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
647 case $as_mkdir_dir in
648 # Skip DOS drivespec
649 ?:) as_incr_dir=$as_mkdir_dir ;;
650 *)
651 as_incr_dir=$as_incr_dir/$as_mkdir_dir
652 test -d "$as_incr_dir" || mkdir "$as_incr_dir"
653 ;;
654 esac
655done; }
656
657 fi
658 rm -f $ac_file
659 mv $tmp/config.h $ac_file
660 fi
661 else
662 cat $tmp/config.h
663 rm -f $tmp/config.h
664 fi
665 # Run the commands associated with the file.
666 case $ac_file in
667 config.h ) # update the timestamp
668echo 'timestamp for config.h' >"./stamp-h1"
669 ;;
670 esac
671done
672
673#
674# CONFIG_COMMANDS section.
675#
676for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
677 ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
678 ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
679
680 case $ac_dest in
681 depfiles ) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
682 # Strip MF so we end up with the name of the file.
683 mf=`echo "$mf" | sed -e 's/:.*$//'`
684 # Check whether this is an Automake generated Makefile or not.
685 # We used to match only the files named `Makefile.in', but
686 # some people rename them; so instead we look at the file content.
687 # Grep'ing the first line is not enough: some people post-process
688 # each Makefile.in and add a new line on top of each file to say so.
689 # So let's grep whole file.
690 if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
691 dirpart=`$as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
692 X"$mf" : 'X\(//\)[^/]' \| \
693 X"$mf" : 'X\(//\)$' \| \
694 X"$mf" : 'X\(/\)' \| \
695 . : '\(.\)' 2>/dev/null ||
696echo X"$mf" |
697 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
698 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
699 /^X\(\/\/\)$/{ s//\1/; q; }
700 /^X\(\/\).*/{ s//\1/; q; }
701 s/.*/./; q'`
702 else
703 continue
704 fi
705 grep '^DEP_FILES *= *[^ #]' < "$mf" > /dev/null || continue
706 # Extract the definition of DEP_FILES from the Makefile without
707 # running `make'.
708 DEPDIR=`sed -n -e '/^DEPDIR = / s///p' < "$mf"`
709 test -z "$DEPDIR" && continue
710 # When using ansi2knr, U may be empty or an underscore; expand it
711 U=`sed -n -e '/^U = / s///p' < "$mf"`
712 test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR"
713 # We invoke sed twice because it is the simplest approach to
714 # changing $(DEPDIR) to its actual value in the expansion.
715 for file in `sed -n -e '
716 /^DEP_FILES = .*\\\\$/ {
717 s/^DEP_FILES = //
718 :loop
719 s/\\\\$//
720 p
721 n
722 /\\\\$/ b loop
723 p
724 }
725 /^DEP_FILES = / s/^DEP_FILES = //p' < "$mf" | \
726 sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
727 # Make sure the directory exists.
728 test -f "$dirpart/$file" && continue
729 fdir=`$as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
730 X"$file" : 'X\(//\)[^/]' \| \
731 X"$file" : 'X\(//\)$' \| \
732 X"$file" : 'X\(/\)' \| \
733 . : '\(.\)' 2>/dev/null ||
734echo X"$file" |
735 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
736 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
737 /^X\(\/\/\)$/{ s//\1/; q; }
738 /^X\(\/\).*/{ s//\1/; q; }
739 s/.*/./; q'`
740 { case $dirpart/$fdir in
741 [\\/]* | ?:[\\/]* ) as_incr_dir=;;
742 *) as_incr_dir=.;;
743esac
744as_dummy=$dirpart/$fdir
745for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
746 case $as_mkdir_dir in
747 # Skip DOS drivespec
748 ?:) as_incr_dir=$as_mkdir_dir ;;
749 *)
750 as_incr_dir=$as_incr_dir/$as_mkdir_dir
751 test -d "$as_incr_dir" || mkdir "$as_incr_dir"
752 ;;
753 esac
754done; }
755
756 # echo "creating $dirpart/$file"
757 echo '# dummy' > "$dirpart/$file"
758 done
759done
760 ;;
761 esac
762done
763
764{ (exit 0); exit 0; }
Note: See TracBrowser for help on using the repository browser.